Search
Operations tagged Search in the public API.
/v1/search
Semantic search
Semantic search. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopesearch:read
curl
curl -X POST https://api.agentency.com/v1/search \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"
-d '{
"query": "query",
"limit": "limit",
"collection_id": 1,
"include_content": "include_content"
}'/v1/search/similar/{datasetId}
Similar search
Similar search. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopesearch:read
curl
curl -X GET https://api.agentency.com/v1/search/similar/{datasetId} \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"